pamr.fdr {pamr} | R Documentation

## A function to estimate false discovery rates for the nearest shrunken centroid classifier

### Description

A function to estimate false discovery rates for the nearest shrunken centroid classifier

### Usage

    pamr.fdr(trained.obj, data,  nperms=100,
     xl.mode=c("regular","firsttime","onetime","lasttime"),xl.time=NULL, xl.prevfit=NULL)

### Arguments

`trained.obj` | The result of a call to pamr.train
`data` | Data object; same as the one passed to pamr.train
`nperms` | Number of permutations for estimation of FDRs. Default is 100
`xl.mode` | Used by Excel interface
`xl.time` | Used by Excel interface
`xl.prevfit` | Used by Excel interface

### Details

`pamr.fdr` estimates false discovery rates for a nearest shrunken centroid classifier

### Value

A list with components:

`results` | Matrix of estimates FDRs for various various threshold values. Reported are both the median and 90th percentile of the FDR over permutations
`pi0` | The estimated proportion of genes that are null, i.e. not significantly different

### Author(s)

Trevor Hastie,Robert Tibshirani, Balasubramanian Narasimhan, and Gilbert Chu

### References

### Examples

    set.seed(120)
    x <- matrix(rnorm(1000*20),ncol=20)
    y <- sample(c(1:4),size=20,replace=TRUE)

    mydata <- list(x=x,y=factor(y), geneid=as.character(1:nrow(x)), genenames=paste("g",as.character(1:nrow(x)),sep=""),)

    mytrain <-   pamr.train(mydata)
    myfdr <- pamr.fdr(mytrain, mydata)

[Package pamr version 1.32.0 Index]